# FPhone

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/f_phone`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'f_phone'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install f_phone

## Usage
### Validation
Check if a string is a validate phone number.

```ruby
FPhone.validate? '+14037089189' # => true
```
### Normalization

Normalize phone number to international format

```ruby

FPhone.normalize '+1 (403) 708-9999' # => '+14037089999'
```

Normalize phone number to vietnam format and global format
```ruby
FPhone.format '+84978654321' # => '+84 97 8654321'
FPhone.format '+84978654321', format: 'global' # => '+84 97 8654321'
FPhone.format '+84978654321', format: 'vietnam' # => '097 8654321'

```
Extract country code and country name from number

```ruby
FPhone.country_code_from_number '+84905634668' # => 'Country code is: 84', 'Viet Nam'
FPhone.country_code_from_number '+1 (403) 708-9999' # => 'Country code is: 1', 'Canada'
```

Check phone provider

```ruby
FPhone.phone_to_provider '0905718768' # => 'Mobifone'
FPhone.phone_to_provider '0986718768' # => 'Viettel'
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/f_phone. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/f_phone/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the FPhone project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/f_phone/blob/master/CODE_OF_CONDUCT.md).
